## python-docutils 0.4

=== tools/editors/emacs/tests/Makefile ===

runtests:
	emacs-21 --batch -l tests-basic.el
	emacs-21 --batch -l tests-adjust-section.el

runtests-emacs-cvs:
	emacs --script tests-basic.el
	emacs --script tests-adjust-section.el

## python-docutils 0.6

=== debian/changelog ===
python-docutils (0.6-5) unstable; urgency=low

  * Correct the preinst script to remove python-central leftovers even when
    upgrading from a version that uses python-support (closes: #586683).
    Thanks to Julian Andres Klode for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 23 Jun 2010 15:21:09 +0200

python-docutils (0.6-4) unstable; urgency=low

  * Bump standards version to 3.8.4 (no changes needed).
  * Bump debhelper compatibility level to 7 (no changes needed). Update
    versioned build-dependency on debhelper accordingly.
  * Use unversioned build-dependency on python-setuptools, as the requested
    version is available even in oldstable.
  * Update my e-mail address.
  * Drop build-dependency on xsltproc; it's no longer used.
  * Run tests at build time:
    + Modify debian/rules accordingly.
    + Build-depend on python-all.
    + Apply patch from upstream (alltests-exitcode.diff) to make test suite
      runner exit with code 0 if all test passes.
  * Emacs major mode: properly quote arguments passed to shell
    (closes: #581522, LP: #579252).
  * Install HISTORY.txt as the upstream changelog.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 14 May 2010 19:50:31 +0200

python-docutils (0.6-3) unstable; urgency=low

  * Update patch fixing insecure use of temporary files to be compatible with
    XEmacs 21.
  * Add ‘Depends: ${misc:Depends}’.
  * Point to versioned symlink in /usr/share/common-licenses for the GPL
    license.
  * Fix the docutils.utils.decode_path() function so that it accepts None as
    an argument (closes: #563087).
  * Force upgrade of python-epydoc affected by bug #561793.
  * Add preinst maintainer script to remove python-central leftovers
    (closes: #563696).
  * Upstream author of IE PNG Alpha Fix agreed that every version of his script 
    can be distributed under the terms of the LGPL 2.1 or later version.
    Update debian/*.copyright and copies of iepngfix.htc accordingly
    (closes: #563704).
  * Remove superfluous ‘Provides: ${python:Provides}’ and ‘XB-Python-Version’
    from debian/control.
  * Conflict with utterly broken version of zope3, which infringes
    python-docutils namespace.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 10 Jan 2010 00:27:45 +0100

python-docutils (0.6-2) unstable; urgency=high

  * Unconditionally recommend python-lxml, as it is used by
    /usr/bin/rst2odt_prepstyles (closes: #560330).
  * Demote dependency on an ElementTree implementation to recommendation, as it
    is only used by /usr/bin/rst2odt; remove python-lxml from alternatives, as
    it is never used by the script (closes: #560328).
  * Fix insecure use of temporary files in the Emacs major mode for
    reStructuredText (closes: #560755). Thanks to Kumar Appaiah for helping to
    deal with this bug.
  * Register docutils documentation using doc-base.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 13 Dec 2009 19:54:12 +0100

python-docutils (0.6-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Drop superfluous dependency of python-dev.

  [ Simon McVittie ]
  * New upstream version
    - --strict option works now like --halt=info (closes: #506315)
    - allow UTF-8 in style sheets (closes: #374957)
    - patches/17_speed_up_rst_el.dpatch: dropped, fixed upstream
  * Stop using dpatch; instead, switch source format to 3.0 (quilt)
  * Stop patching out #!/usr/bin/env python via the patch system; it'll get
    patched out during installation anyway
  * Split 14_distutils_setup.diff into two patches
    - 13_install_roman.diff: install roman even if already installed
      (in a less intrusive way)
    - 14_use_setuptools.diff: use setuptools for egg support
  * Update the other patches for the new version
  * Conflict, provide and replace the standalone man page and ODT writers,
    which have been integrated upstream; add their maintainers to this
    package's Uploaders instead
  * Import Michael Schutte's man page for rst2odt_prepstyles from the
    odtwriter source package (thanks!)
  * Use rst2man to make the other man pages
  * patches/17_revert_buildhtml.diff: revert an upstream change to
    buildhtml.py which broke the --local option
  * Add Jakub Wilk to Uploaders, with thanks for previous uploads

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Dec 2009 21:34:40 +0000

python-docutils (0.5-5) unstable; urgency=low

  [ Jakub Wilk ]
  * Prepare for Python 2.6 transition (closes: #547841).
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 22 Sep 2009 23:48:45 +0200

python-docutils (0.5-4) unstable; urgency=medium

  [ Jakub Wilk ]
  * Don't require network access during a build (closes: #526357).

  [ Piotr Ożarowski ]
  * Updated Standards-Version to 3.8.2 (no changes)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Thu, 30 Jul 2009 20:49:23 +0200

python-docutils (0.5-3) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * Switch to python-support
    + clean debian/rules a little bit (no need to rename Egg anymore)
    + docutils-writer-manpage and python-odtwriter added to Conflicts
  * Add python-imaging to Recommends
    (see writers/html4css1/__init__.py and parsers/rst/directives/images.py)
  * XS-Dm-Upload-Allowed field removed (all Uploaders are DDs)
  * Updated Standards-Version to 3.8.1 (no changes)

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 22 Mar 2009 18:06:02 +0100

python-docutils (0.5-2) unstable; urgency=low

  * Upload docutils 0.5 to unstable
  * Update rst.el to upstream Subversion r5596, which apparently fixes
    all its performance problems (17_speed_up_rst_el.dpatch, closes: #474941)

 -- Simon McVittie <smcv@debian.org>  Thu, 24 Jul 2008 10:39:53 +0100

python-docutils (0.5-1) experimental; urgency=low

  * New upstream release (closes: #491344, #474939)


=== debian/control ===
Source: python-docutils
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jakub Wilk <jwilk@debian.org>,
           martin f. krafft <madduck@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Michael Schutte <michi@uiae.at>,
           Ben Finney <ben+debian@benfinney.id.au>
Build-Depends: debhelper (>= 7), python-setuptools, python-all (>= 2.3)
Build-Depends-Indep: python-support (>= 0.6.4),
                     docbook-to-man
Standards-Version: 3.8.4
XS-Python-Version: >= 2.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-docutils/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-docutils/trunk/
Homepage: http://docutils.sourceforge.net/

Package: python-docutils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-roman,
Recommends: python-imaging,
            python-pygments,
            libpaper-utils,
            python-lxml,            
            python (>= 2.5) | python-elementtree
Suggests: texlive-latex-recommended, texlive-latex-base, texlive-lang-french
Provides: docutils-writer-manpage,
          python-odtwriter,
          rst2odt,
          docutils-writer-odt,
          rst2man
Conflicts: docutils-writer-manpage,
           python-odtwriter,
           docutils-writer-odt,
           rst2man,
           zope3 (= 3.4.0-1)
Replaces: docutils-writer-manpage,
          python-odtwriter,
          docutils-writer-odt,
          rst2man
Breaks: python-epydoc (<< 3.0.1-4~)
Description: utilities for the documentation of Python modules
 The purpose of the Docutils project is to create a set of tools for
 processing plaintext documentation into useful formats, such as HTML,
 XML, and TeX.
 .
 The package includes the reStructuredText parser, the Python
 Docstring Processing System project, and documentation in HTML and
 (gzipped) reST formats.

Package: python-roman
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: module for generating/analyzing Roman numerals
 This module converts from and to Roman numerals. It can convert numbers
 from 1 to 4999 and understands the common shortcuts (IX == 9), but not
 illegal ones (MIM == 1999).
 .
 This module is part of "Dive Into Python", a free Python tutorial for
 experienced programmers.  Visit http://diveintopython.org/ for the
 latest version.
 .
 It is maintained in Debian as part of the python-docutils package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

-include /usr/share/python/python.mk

p	= python-docutils
d	= debian/$(p)
PYTHON	= /usr/bin/python

BUILDHTML_DIRS := .
BUILDHTML_RECURSE_DIRS := docs

build: build-stamp
build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	set -e && for dir in $(BUILDHTML_DIRS); do \
		PYTHONPATH=.:extras $(PYTHON) tools/buildhtml.py \
			--local --config=tools/docutils.conf $$dir \
			--traceback; \
	done
	set -e && for dir in $(BUILDHTML_RECURSE_DIRS); do \
		PYTHONPATH=.:extras $(PYTHON) tools/buildhtml.py \
			--config=tools/docutils.conf $$dir --traceback; \
	done
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e && for python in $(shell pyversions -r); do \
		PYTHONPATH=.:extras $$python test/alltests.py; \
	done
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(PYTHON) setup.py clean --all
	-find -name '*.py[co]' | xargs rm -f
	rm -f *.html
	rm -rf debian/man.tmp
	find docs -name '*.html' -not -name 'quickref.html' -print0 | \
		xargs -0 --no-run-if-empty rm
	-rm -rf docutils.egg-info extras/docutils.egg-info
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p debian/tmp
	$(PYTHON) setup.py install \
	    --root debian/tmp --no-compile $(py_setup_install_args)
	: # give scripts canonical names in /usr/bin
	cd debian/tmp/usr/bin && \
	mv rst2newlatex.py rst2newlatex && \
	mv rst2html.py rst2html && \
	mv rst2xml.py rst2xml && \
	mv rst2s5.py rst2s5 && \
	mv rst2pseudoxml.py rst2pseudoxml && \
	mv rstpep2html.py rstpep2html && \
	mv rst2odt.py rst2odt && \
	mv rst2odt_prepstyles.py rst2odt_prepstyles && \
	mv rst2man.py rst2man && \
	mv rst2latex.py rst2latex
	install tools/buildhtml.py debian/tmp/usr/bin/rst-buildhtml
	: # Make the man pages (we want to do this *after* renaming all the
	: # tools, because their executable name goes into the --help output)
	install -d debian/man.tmp
	set -e && for exe in rst2html rst2man rst2latex rst2newlatex \
		rst2pseudoxml rst2s5 rst2xml rst-buildhtml rstpep2html \
		rst2odt; do \
		PYTHONPATH=.:extras; \
		export PYTHONPATH; \
		cp debian/$$exe.txt debian/man.tmp/$$exe.txt; \
		$(PYTHON) debian/tmp/usr/bin/$$exe --help \
			>> debian/man.tmp/$$exe.txt;\
		$(PYTHON) tools/rst2man.py debian/man.tmp/$$exe.txt \
			debian/man.tmp/$$exe.1; \
	done
	docbook-to-man debian/rst2odt_prepstyles.sgml > \
		debian/man.tmp/rst2odt_prepstyles.1
	: # Install documentation
	rm -f $(d)/usr/share/doc/$(p)/COPYING[-.]*
	set -e && ( cd docs; find . -name SCCS -prune -o -type d -print ) | \
		while read f ; do install -d $(d)/usr/share/doc/$(p)/docs/$$f ; done
	set -e && ( cd docs; find . -name SCCS -prune -o -type f -print ) | \
		while read f ; do install -o root -m 755 docs/$$f $(d)/usr/share/doc/$(p)/docs/$$f ; done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs *.txt *.html -XCOPYING
	dh_install -i
	dh_pysupport
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_link
	dh_compress -X.py -X.dtd -X.html
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## python-docutils 0.7

=== debian/changelog ===
python-docutils (0.7-2) unstable; urgency=low

  * Upload to unstable.
  * Replace patch to fix --local option for tools/buildhtml.py
    (17_revert_buildhtml.diff) with the one that was applied upstream
    (buildhtml-local.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 24 Jul 2010 09:03:32 +0200

python-docutils (0.7-1) experimental; urgency=low

  * New upstream release.
    + Drop decode-path-none.diff, alltest-exitcode.diff, applied upstream.
    + Refresh other patches.
  * Bump standards version to 3.9.0, no changes needed.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 09 Jul 2010 14:47:42 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper (>= 7), python-setuptools, python-all (>= 2.3)
 Build-Depends-Indep: python-support (>= 0.6.4),
                      docbook-to-man
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 XS-Python-Version: >= 2.3
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-docutils/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-docutils/trunk/

=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,7 @@
 	dh_testroot
 	dh_installdocs *.txt *.html -XCOPYING
 	dh_install -i
+	dh_lintian
 	dh_pysupport
 	dh_installexamples
 	dh_installman

## python-docutils 0.8.1

=== tools/editors/emacs/tests/Makefile ===
#!/usr/bin/env make

EMACS = /usr/bin/emacs
ERT = ~/lib/emacs/ert

EMACS_ERT_PFX = $(EMACS) --batch --quick --directory=$(ERT) --load=ert.el
EMACS_ERT_SFX = --funcall=ert-run-tests-batch-and-exit

ERT_TESTS := $(filter-out ert-%,$(wildcard *.el))

all:

tests:
	$(EMACS_ERT_PFX) $(addprefix -l ,$(ERT_TESTS)) $(EMACS_ERT_SFX)

clean:

=== debian/changelog ===
python-docutils (0.8.1-8ubuntu1) quantal; urgency=low

  * Resynchronize with Debian unstable (LP: #1038470), remaining change:
    - Use dh_python2 instead of dh_pysupport

 -- Dmitry Shachnev <mitya57@gmail.com>  Sat, 18 Aug 2012 20:16:07 +0400

python-docutils (0.8.1-8) unstable; urgency=low

  * Install all DTD files (really closes: #531170).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 04 Jul 2012 14:07:30 +0200

python-docutils (0.8.1-7) unstable; urgency=low

  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675489).
    Thanks to Helmut Grohne for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 01 Jun 2012 18:20:46 +0200

python-docutils (0.8.1-6) unstable; urgency=low

  * Fix a typo in a patch description.
  * Bump standards version to 3.9.3 (no changes needed).
  * Don't mention “Dive Into Python” in python*-roman package descriptions
    (closes: #661555). Thanks to Konrad Schöbel for the bug report.
  * Remove references to http://diveintopython.org/ from debian/copyright.
  * Do not skip tests because of failed imports, as they should never happen.
    (no-test-skipping.diff)
  * Check only *.py files when looking for unguarded use of __file__.
  * Fix paths in the auto-generated manual pages.
  * Split section “Usage” into “Synopsis” and “Description” in the manual
    pages.
  * Fool DocutilsXMLTestCase into thinking that Python version is 2.7.3/3.2.3
    when it's in fact 2.7.2/3.2.2 with patched
    xml.dom.minidom.Document.toprettyxml() method (closes: #645369).
    (fix-docutilsxmltestcase.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 03 Mar 2012 01:40:35 +0100

python-docutils (0.8.1-5) unstable; urgency=low

  [ Simon McVittie ]
  * Remove myself from Uploaders

  [ Jakub Wilk ]
  * Backport upstream patch to follow the changes in the
    xml.dom.minidom.Document.toprettyxml method
    (fix-docutilsxmltestcase.diff).
  * Drop postinst snippet to deal with a python-support bug (it cannot replace
    directory with a regular file). It was needed only for 0.7 upgrades.
  * Suggest fonts-linuxlibertine as an alternative to ttf-linux-libertine.
  * Update David Goodger's e-mail address in debian/copyright
    (closes: #653769). Thanks to Jari Aalto for the bug report.
  * Update Subversion repository URLs in patch headers (so that they point to
    SourceForge rather than BerliOS).
  * Use xargs to iterate over all Python versions.
  * Convert rst2odt_prepstyles manpage source from DocBook to
    reStructuredText.
    + Remove docbook-to-man from Build-Depends-Indep.
    + Update debian/rules.
  * Don't run dh_testroot in the clean target. There's a good chance that root
    privileges are not needed (e.g. because binary target was run under
    fakeroot), and even if they are actually needed, the target will fail
    quickly.
  * Drop obsolete virtual package: docutils-writer-manpage (closes: #631066).
  * Run tests with --verbose.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 15 Feb 2012 19:21:26 +0100

python-docutils (0.8.1-4ubuntu1) precise; urgency=low

  * Build using dh_python2
  * Diabled test_writers/test_docutils_xml.py tests, showing differences
    in whitespace with python 2.7.2+.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 14:11:08 +0000

python-docutils (0.8.1-4) unstable; urgency=low

  * When running the test suite, don't copy stdout and stderr output to a log
    file, as this would break under LC_ALL=C, PYTHONWARNINGS=d and python3.X
    (testall-no-stdout-stderr-redirect.diff).
  * Use build/py2 and build/py3 for build directories.
  * Remove excessive whitespace from debian/control.
  * Drop unused virtual package: rst2man.
  * Install Python 3 version of rst-buildhtml.
  * Fix a typo in rst2xetex manual page. Thanks to Günter Milde for the bug
    report.
  * Drop unused header file for rst2newlatex manual page.
  * Backport upstream patch to add missing import (add-missing-import.diff).
  * Backport upstream patches to fix encoding issues with Python 3
    (fix-*-encoding-issues.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 23 Oct 2011 22:59:02 +0200

python-docutils (0.8.1-3) unstable; urgency=low

  * Remove needless comments from debian/rules.
  * Restore historical behavior of languages.get_language() taking only a
    single argument (languages-get_language-2nd-arg-optional.diff,
    closes: #641562). Thanks to Sergio Talens-Oliag for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 16 Sep 2011 20:53:45 +0200

python-docutils (0.8.1-2) unstable; urgency=low

  * Upload to unstable.
  * Improve the -doc package:
    + Install CSS files. Correct paths to them in the *.html files.
    + Don't compress *.txt files in the -doc package. Update debian/*.doc-base
      accordingly and add lintian override for changelog-file-not-compressed.
    + Don't embed images on remote servers.
  * Simplify debian/rules.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 12 Sep 2011 00:34:28 +0200

python-docutils (0.8.1-1) experimental; urgency=low

  * New upstream release.
    + Drop test-error-reporting.diff and test-functional.diff (both applied
      upstream)
  * Update copyright file.
  * Correct version number in README.txt (readme-version.diff).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 03 Sep 2011 01:32:29 +0200

python-docutils (0.8-1) experimental; urgency=low

  * New upstream release.
    + Drop the following patches:
      - 16_disable_picins.diff (newlatex2e writer dropped);
      - buildhtml-local.diff (applied upstream);
      - emacs-shell-quote.diff (applied upstream);
      - emacs-temporary-files.diff (different fix applied upstream);
      - python3.2-configparser.diff (applied upstream);
      - python3.2-elementtree.diff (applied upstream);
    + Refresh other patches.
  * Update copyright file.
  * Use wildcards in debian/*.manpages.
  * Drop the docutils.readers.python reader.
  * Drop the rst2newlatex script.


=== debian/control ===
Source: python-docutils
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jakub Wilk <jwilk@debian.org>,
           martin f. krafft <madduck@debian.org>,
           Michael Schutte <michi@uiae.at>,
           Ben Finney <ben+debian@benfinney.id.au>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python-all (>= 2.6.6-3~),
                     python3-all (>= 3.1.2-7~),
                     xml-core
Standards-Version: 3.9.3
X-Python-Version: >= 2.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-docutils/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-docutils/trunk/
Homepage: http://docutils.sourceforge.net/

Package: python-docutils
Provides: docutils
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-roman,
         docutils-common (= ${source:Version})
Recommends: python-imaging,
            python-pygments,
            libpaper-utils,
            python-lxml,            
            docutils-doc (= ${source:Version})
Suggests: texlive-latex-recommended, texlive-latex-base, texlive-lang-french, fonts-linuxlibertine | ttf-linux-libertine
Conflicts: python-odtwriter,
           docutils-writer-odt
Replaces: python-odtwriter,
          docutils-writer-odt
Breaks: python-epydoc (<< 3.0.1-4~)
Description: text processing system for reStructuredText (implemented in Python 2)
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes Python 2 modules and command line utilities.

Package: python3-docutils
Provides: docutils
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-roman,
         docutils-common (= ${source:Version})
Recommends: python3-imaging,
            python3-pygments,
            libpaper-utils,
            python3-lxml
Conflicts: python-docutils (<< 0.7-3~),
           python-odtwriter,
           docutils-writer-odt
Suggests: texlive-latex-recommended, texlive-latex-base, texlive-lang-french, fonts-linuxlibertine | ttf-linux-libertine, docutils-doc
Description: text processing system for reStructuredText (implemented in Python 3)
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes Python 3 modules and command line utilities.

Package: docutils-common
Architecture: all
Depends: ${misc:Depends}, 
Recommends: python-docutils | python3-docutils
Conflicts: python-docutils (<< 0.7-3~)
Breaks: python-odtwriter,
        docutils-writer-odt
Replaces: python-docutils (<< 0.7-3~),
          python-odtwriter,
          docutils-writer-odt
Description: text processing system for reStructuredText - common data
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes data and configuration files.

Package: docutils-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: python-docutils (<< 0.7-3~)
Replaces: python-docutils (<< 0.7-3~)
Description: text processing system for reStructuredText - documentation
 reStructuredText is an easy-to-read, what-you-see-is-what-you-get plaintext
 markup syntax and parser system. It is useful for in-line program documentation
 (such as Python docstrings), for quickly creating simple web pages, and for
 standalone documents.
 .
 The purpose of the Docutils project is to create a set of tools for
 processing reStructuredText documentation into useful formats, such as HTML,
 LaTeX, ODT or Unix manpages.
 .
 This package includes documentation in HTML and (gzipped) reST formats.

Package: python-roman
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: module for generating/analyzing Roman numerals for Python 2
 This module converts from and to Roman numerals. It can convert numbers
 from 1 to 4999 and understands the common shortcuts (IX == 9), but not
 illegal ones (MIM == 1999).
 .
 This package includes Python 2 modules.

Package: python3-roman
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: module for generating/analyzing Roman numerals for Python 3
 This module converts from and to Roman numerals. It can convert numbers
 from 1 to 4999 and understands the common shortcuts (IX == 9), but not
 illegal ones (MIM == 1999).
 .
 This package includes Python 3 modules.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/python/python.mk

scripts = \
	rst-buildhtml \
	rst2html \
	rst2latex \
	rst2man \
	rst2odt \
	rst2odt_prepstyles \
	rst2pseudoxml \
	rst2s5 \
	rst2xetex \
	rst2xml \
	rstpep2html \

pre_localize_css = 's,href="(([.][.]/)*)docutils/.*/([^/]+[.]css)",href="$$1css/$$3",g;'
pre_strip_images1 = 's,<img src="http://[^"]+" alt="([^"]*)"[^>]*>,$$1,g;'
pre_strip_images2 = 's,<img alt="([^"]*)"[^>]*\bsrc="http://[^"]+"[^>]*>,$$1,g;'
pre_strip_images = $(pre_strip_images1)$(pre_strip_images2)

python_all = pyversions -r $(CURDIR)/debian/control | tr ' ' '\n' | xargs -t -I {} env {}
python3_all = $(patsubst py%,py3%,$(python_all))

build build-indep: build-stamp
build-stamp:
	dh_testdir
	# Check if move-data-to-usr-share.diff is up-to-date
	if grep -r __file__ --include='*.py' docutils/ | grep -vw _datadir; then \
		echo "Error: Some uses of __file__ are not guarded by _datadir()." \
			"Is move-data-to-usr-share.diff up-to-date?"; \
		exit 1; \
	fi
	# Build modules for Python 2.X
	python setup.py build --build-lib=build/py2/
	# Build modules for Python 3.X
	python3 setup.py build --build-lib=build/py3/
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	# Run test suite for Python 2.X:
	cd build/py2/ && $(python_all) ../../test/alltests.py --verbose
	# Run test suite for Python 3.X:
	cd build/py3/ && $(python3_all) test/alltests.py --verbose
endif
	# Build documentation:
	PYTHONPATH=.:extras python tools/buildhtml.py \
		--local --link-stylesheet --traceback \
		.
	PYTHONPATH=.:extras python tools/buildhtml.py \
		--link-stylesheet --traceback \
		docs
	( ls *.html && find docs/ -name '*.html' ) \
	| xargs perl -0777 -p -i -e $(pre_localize_css)$(pre_strip_images)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp
	rm -rf build/
	find -name '*.py[co]' -delete
	rm -f *.html
	find docs -name '*.html' -not -name 'quickref.html' -delete
	rm -rf docutils.egg-info extras/docutils.egg-info
	cd test && rm -rf alltests.out record.txt functional/output/*/ functional/output/[a-z]*.*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	mkdir -p debian/tmp
	python setup.py build --build-lib=build/py2/ install \
	    --root debian/tmp --no-compile $(py_setup_install_args) \
	    --install-scripts=/usr/share/docutils/scripts/python2/
	python3 setup.py build --build-lib=build/py3/ install \
	    --root debian/tmp --no-compile $(py_setup_install_args) \
	    --install-scripts=/usr/share/docutils/scripts/python3/
	# Move data files outside dist-packages:
	mkdir -p debian/tmp/usr/share/
	cp -rlf debian/tmp/usr/lib/python2.*/*-packages/docutils debian/tmp/usr/share/
	find debian/tmp/usr/lib/python[23]*/*-packages/docutils/ -type f '!' -name '*.py' -delete
	find debian/tmp/usr/share/docutils/ -name '*.py' '!' -path '*/scripts/*' -delete
	find debian/tmp/ -type d -empty -delete
	sed -i -e 's/^\(_debian_package\) = /\1 = 1/' debian/tmp/usr/lib/python[23]*/*-packages/docutils/__init__.py
	# Give scripts canonical names
	mkdir -p debian/tmp/usr/share/docutils/scripts/python2/
	set -ex && for python in python2 python3; do \
		dir=debian/tmp/usr/share/docutils/scripts/$$python/; \
		for exe in $(filter-out rst-buildhtml,$(scripts)); do \
			mv $$dir/$$exe.py $$dir/$$exe; \
		done; \
	done
	install tools/buildhtml.py debian/tmp/usr/share/docutils/scripts/python2/rst-buildhtml
	sed -i -e '1 s,^#!.*,#!/usr/bin/python3,' build/py3/tools/buildhtml.py
	install build/py3/tools/buildhtml.py debian/tmp/usr/share/docutils/scripts/python3/rst-buildhtml
	: # Make the man pages (we want to do this *after* renaming all the
	: # tools, because their executable name goes into the --help output)
	mkdir -p debian/tmp/man/
	set -ex && for exe in $(filter-out rst2odt_prepstyles,$(scripts)); do \
		PYTHONPATH=.:extras; \
		export PYTHONPATH; \
		cp debian/$$exe.txt debian/tmp/man/$$exe.txt; \
		python debian/tmp/usr/share/docutils/scripts/python2/$$exe --help | \
			sed \
				-e '1 s/^Usage$$/Synopsis/' \
				-e 's/^=/====/' \
				-e '3 s/^  //' \
				-e '4 a Description' \
				-e '4 a ===========' \
			>> debian/tmp/man/$$exe.txt;\
		python tools/rst2man.py debian/tmp/man/$$exe.txt \
			debian/tmp/man/$$exe.1; \
	done
	PYTHONPATH=.:extras python tools/rst2man.py debian/rst2odt_prepstyles.txt \
		debian/tmp/man/rst2odt_prepstyles.1
	sed -i -e 's,"\(docutils/writers/\),"/usr/share/\1,g' debian/tmp/man/*

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -XCOPYING
	mkdir -p debian/docutils-doc/usr/share/doc/python-docutils/
	cd debian/docutils-doc/usr/share/doc/python-docutils/ && ln -sf ../docutils-doc/*.html .
	dh_install -p docutils-common -X /scripts/
	dh_install -N docutils-common
	dh_lintian
	dh_python2 -p python-docutils -p python-roman
	dh_python3 -p python3-docutils -p python3-roman
	dh_installexamples
	dh_installcatalogs
	dh_installxmlcatalogs
	dh_installman
	dh_installchangelogs
	dh_link
	dh_compress -p docutils-doc -X.dtd -X.html -X.txt
	dh_compress -N docutils-doc
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-arch binary-arch:
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## python-docutils 0.10

=== debian/changelog ===
python-docutils (0.10-0ubuntu1) raring; urgency=low

  * New upstream stable release.
  * debian/patches/disable_py33_failing_tests.diff: add DEP-3 headers.
  * Merged 0.9.1-2 changes from Debian.
  * Bumped Standards-Version to 3.9.4, no changes needed.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 18 Dec 2012 15:06:21 +0400

python-docutils (0.9.1+svn7532-0ubuntu3) raring; urgency=low

  * Add debian/patches/disable_py33_failing_tests.diff: Disable the 5 tests
    which currently fail with Python 3.3, to fix FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 13:06:36 +0100

python-docutils (0.9.1+svn7532-0ubuntu2) raring; urgency=low

  * debian/tests/control: Drop undefined "no-build-needed" feature.
  * debian/tests: Update to tests as in 0.9.1-2 and drop obsolete dep8.diff,
    to get the tests running at all. (See Debian #692127).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 11:35:37 +0100

python-docutils (0.9.1+svn7532-0ubuntu1) raring; urgency=low

  * Resynchronize with Debian packaging SVN, remaining change:
    - Use dh_python2 instead of dh_pysupport.
  * New snapshot from upstream SVN, fixes build with Python 3.3.
  * Add XS-Testsuite header.
  * debian/patches/move-data-to-usr-share.diff: unfuzz.

 -- Dmitry Shachnev <mitya57@gmail.com>  Fri, 19 Oct 2012 18:23:15 +0400

python-docutils (0.9.1-2) experimental; urgency=low

  * Install all DTD files (really closes: #531170).
  * Fix DEP-8 tests:
    + Drop dep8.diff; it's no longer needed (closes: #692127). Thanks to
      Dmitry Shachnev for the bug report.
    + Adapt Python 3 tests to the new way 2->3 conversion is being done on
      upstream tests.
  * Partially fix FTBFS with Python 3.3 (closes: #681723):
    + Use relative __import__ (python3.3-import-compat.diff).
    + Make order of languages in \setotherlanguages deterministic
      (deterministic-setotherlanguages.diff).
  * Set PYTHONWARNINGS=d in debian/rules.
  * Set PYTHONHASHSEED=random in debian/rules and in DEP-8 tests.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 04 Nov 2012 17:22:24 +0100

python-docutils (0.9.1-1) experimental; urgency=low

  * New upstream release.
    + Fix self-modifying code in rst.el (closes: #657269). Thanks to Samuel
      Bronson for the bug report and the patch.
    + Drop parsers.rst.directives.misc-encoding.diff: applied upstream.
    + Refresh other patches.
    + Add patch to fix sys.path for tests (test-sys-path.diff).
    + Update debian/rules.
  * Rebuild against debhelper (>= 9.20120528) to fix postinst that
    unconditionally overwrites files in /etc (see: #477751, closes: #675489).
    Thanks to Helmut Grohne for the bug report.
  * DEP-8 tests: use $ADTTMP.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 30 Jun 2012 14:15:26 +0200

python-docutils (0.9-1) experimental; urgency=low

  * New upstream release.
    + Drop 13_install_roman.diff and stop building python(3)-roman binary
      packages.
    + Drop 15_emacs_debian_paths.diff: different fix applied upstream.
    + Drop readme-version.diff: no longer relevant.
    + Drop languages-get_language-2nd-arg-optional.diff: applied upstream.
    + Drop add-missing-import.diff: applied upstream.
    + Drop fix-error-reporting-encoding-issues.diff: applied upstream.
    + Drop fix-io-encoding-issues.diff: applied upstream.
    + Drop fix-docutilsxmltestcase.diff: applied upstream.
    + Refresh other patches.
  * Drop fix-docutilsxmltestcase-debian.diff; it was only needed to
    work around a bug in Debian Python interpreter packages, which has been
    fixed.
  * Update move-data-to-usr-share.diff to cover the test/ directory, too.
  * Add DEP-8 tests.
  * Fix (Python 2 version of) rst-buildhtml shebang to #!/usr/bin/python.
  * Rename 10_doc_debian_paths.diff to doc-debian-paths.diff; update the patch
    header.
  * Stop building python(3)-roman. They are now packaged separately.
    + Update debian/control.
    + Drop debian/*-roman.* (debhelper config files).
    + Remove references to the ‘extras’ directory and to *-roman package names
      from debian/rules.
  * Remove convenience copy of the roman module. Build-Depend on python-roman
    and python3-roman.
  * Cherry-pick upstream patch to fix encoding issues with the include
    directive. (parsers.rst.directives.misc-encoding.diff)
  * Run Python 2.X tests before building Python 3.X code. Previously time
    required to build Python 3.X code were wasted if Python 2.X tests failed.
  * Run 2to3 in parallel (parallel-2to3.diff). Thanks to Julian Taylor for the
    hint.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 May 2012 01:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
 Build-Depends: debhelper (>= 7)
 Build-Depends-Indep: python-all (>= 2.6.6-3~),
                      python3-all (>= 3.1.2-7~),
+                     python-roman, python3-roman,
                      xml-core
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.3
+XS-Testsuite: autopkgtest
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-docutils/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-docutils/trunk/
 Homepage: http://docutils.sourceforge.net/
@@ -111,23 +113,3 @@
  LaTeX, ODT or Unix manpages.
  .
  This package includes documentation in HTML and (gzipped) reST formats.
-
-Package: python-roman
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Description: module for generating/analyzing Roman numerals for Python 2
- This module converts from and to Roman numerals. It can convert numbers
- from 1 to 4999 and understands the common shortcuts (IX == 9), but not
- illegal ones (MIM == 1999).
- .
- This package includes Python 2 modules.
-
-Package: python3-roman
-Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
-Description: module for generating/analyzing Roman numerals for Python 3
- This module converts from and to Roman numerals. It can convert numbers
- from 1 to 4999 and understands the common shortcuts (IX == 9), but not
- illegal ones (MIM == 1999).
- .
- This package includes Python 3 modules.

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+export PYTHONWARNINGS=d
+export PYTHONHASHSEED=random
 
 -include /usr/share/python/python.mk
 
@@ -20,12 +23,14 @@
 pre_strip_images2 = 's,<img alt="([^"]*)"[^>]*\bsrc="http://[^"]+"[^>]*>,$$1,g;'
 pre_strip_images = $(pre_strip_images1)$(pre_strip_images2)
 
-python_all = pyversions -r $(CURDIR)/debian/control | tr ' ' '\n' | xargs -t -I {} env {}
+python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}
 python3_all = $(patsubst py%,py3%,$(python_all))
 
 build build-indep: build-stamp
 build-stamp:
 	dh_testdir
+	# Remove convenience copy of the roman module
+	rm -f docutils/utils/roman.py
 	# Check if move-data-to-usr-share.diff is up-to-date
 	if grep -r __file__ --include='*.py' docutils/ | grep -vw _datadir; then \
 		echo "Error: Some uses of __file__ are not guarded by _datadir()." \
@@ -34,19 +39,21 @@
 	fi
 	# Build modules for Python 2.X
 	python setup.py build --build-lib=build/py2/
+ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
+	# Run test suite for Python 2.X:
+	$(python_all) test/alltests.py --verbose
+endif
 	# Build modules for Python 3.X
 	python3 setup.py build --build-lib=build/py3/
-ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
-	# Run test suite for Python 2.X:
-	cd build/py2/ && $(python_all) ../../test/alltests.py --verbose
+ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
 	# Run test suite for Python 3.X:
-	cd build/py3/ && $(python3_all) test/alltests.py --verbose
+	$(python3_all) test3/alltests.py --verbose
 endif
 	# Build documentation:
-	PYTHONPATH=.:extras python tools/buildhtml.py \
+	PYTHONPATH=. python tools/buildhtml.py \
 		--local --link-stylesheet --traceback \
 		.
-	PYTHONPATH=.:extras python tools/buildhtml.py \
+	PYTHONPATH=. python tools/buildhtml.py \
 		--link-stylesheet --traceback \
 		docs
 	( ls *.html && find docs/ -name '*.html' ) \
@@ -60,8 +67,9 @@
 	find -name '*.py[co]' -delete
 	rm -f *.html
 	find docs -name '*.html' -not -name 'quickref.html' -delete
-	rm -rf docutils.egg-info extras/docutils.egg-info
+	rm -rf docutils.egg-info
 	cd test && rm -rf alltests.out record.txt functional/output/*/ functional/output/[a-z]*.*
+	rm -rf test3/
 	dh_clean
 
 install: build
@@ -79,7 +87,7 @@
 	mkdir -p debian/tmp/usr/share/
 	cp -rlf debian/tmp/usr/lib/python2.*/*-packages/docutils debian/tmp/usr/share/
 	find debian/tmp/usr/lib/python[23]*/*-packages/docutils/ -type f '!' -name '*.py' -delete
-	find debian/tmp/usr/share/docutils/ -name '*.py' '!' -path '*/scripts/*' -delete
+	find debian/tmp/usr/share/docutils/ \( -name '*.py' -o -name '*.py[co]' \) '!' -path '*/scripts/*' -delete
 	find debian/tmp/ -type d -empty -delete
 	sed -i -e 's/^\(_debian_package\) = /\1 = 1/' debian/tmp/usr/lib/python[23]*/*-packages/docutils/__init__.py
 	# Give scripts canonical names
@@ -89,16 +97,14 @@
 		for exe in $(filter-out rst-buildhtml,$(scripts)); do \
 			mv $$dir/$$exe.py $$dir/$$exe; \
 		done; \
+		install tools/buildhtml.py $$dir/rst-buildhtml; \
+		sed -i -e "1 s,^#!.*,#!/usr/bin/$${python%2}," $$dir/rst-buildhtml; \
 	done
-	install tools/buildhtml.py debian/tmp/usr/share/docutils/scripts/python2/rst-buildhtml
-	sed -i -e '1 s,^#!.*,#!/usr/bin/python3,' build/py3/tools/buildhtml.py
-	install build/py3/tools/buildhtml.py debian/tmp/usr/share/docutils/scripts/python3/rst-buildhtml
 	: # Make the man pages (we want to do this *after* renaming all the
 	: # tools, because their executable name goes into the --help output)
 	mkdir -p debian/tmp/man/
 	set -ex && for exe in $(filter-out rst2odt_prepstyles,$(scripts)); do \
-		PYTHONPATH=.:extras; \
-		export PYTHONPATH; \
+		export PYTHONPATH=.; \
 		cp debian/$$exe.txt debian/tmp/man/$$exe.txt; \
 		python debian/tmp/usr/share/docutils/scripts/python2/$$exe --help | \
 			sed \
@@ -111,7 +117,7 @@
 		python tools/rst2man.py debian/tmp/man/$$exe.txt \
 			debian/tmp/man/$$exe.1; \
 	done
-	PYTHONPATH=.:extras python tools/rst2man.py debian/rst2odt_prepstyles.txt \
+	PYTHONPATH=. python tools/rst2man.py debian/rst2odt_prepstyles.txt \
 		debian/tmp/man/rst2odt_prepstyles.1
 	sed -i -e 's,"\(docutils/writers/\),"/usr/share/\1,g' debian/tmp/man/*
 
@@ -125,8 +131,8 @@
 	dh_install -p docutils-common -X /scripts/
 	dh_install -N docutils-common
 	dh_lintian
-	dh_python2 -p python-docutils -p python-roman
-	dh_python3 -p python3-docutils -p python3-roman
+	dh_python2 -p python-docutils
+	dh_python3 -p python3-docutils
 	dh_installexamples
 	dh_installcatalogs
 	dh_installxmlcatalogs
